Show / Hide Table of Contents

# Class ChannelCreateAuditLogData

Contains a piece of audit log data related to a channel creation.

##### Inheritance

System.Object
ChannelCreateAuditLogData

##### Implements

IAuditLogData

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class ChannelCreateAuditLogData : IAuditLogData

### Properties

| Improve this Doc View Source

#### Bitrate

Gets the bit-rate that the clients in the created voice channel are requested to use.

##### Declaration

    public int? Bitrate { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | An representing the bit-rate (bps) that the created voice channel defines and requests the client(s) to use. `null` if this is not mentioned in this entry.

| Improve this Doc View Source

#### ChannelId

Gets the snowflake ID of the created channel.

##### Declaration

    public ulong ChannelId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | A System.UInt64 representing the snowflake identifier for the created channel.

| Improve this Doc View Source

#### ChannelName

Gets the name of the created channel.

##### Declaration

    public string ChannelName { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the name of the created channel.

| Improve this Doc View Source

#### ChannelType

Gets the type of the created channel.

##### Declaration

    public ChannelType ChannelType { get; }

##### Property Value

Type | Description
--- | ---
ChannelType | The type of channel that was created.

| Improve this Doc View Source

#### IsNsfw

Gets the value that indicates whether the created channel is NSFW.

##### Declaration

    public bool? IsNsfw { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> | `true` if the created channel has the NSFW flag enabled; otherwise `false`. `null` if this is not mentioned in this entry.

| Improve this Doc View Source

#### Overwrites

Gets a collection of permission overwrites that was assigned to the created channel.

##### Declaration

    public IReadOnlyCollection<Overwrite> Overwrites { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<Overwrite> | A collection of permission Overwrite, containing the permission overwrites that were assigned to the created channel.

| Improve this Doc View Source

#### SlowModeInterval

Gets the current slow-mode delay of the created channel.

##### Declaration

    public int? SlowModeInterval { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | An representing the time in seconds required before the user can send another message; `0` if disabled. `null` if this is not mentioned in this entry.

### Implements

IAuditLogData